Subject: ANNOUNCEMENT: The IETF Trustees invite your comments on revised proposed legend text to work-around the Pre-5378 Problem

From: "Ed Juskevicius" <[email-masked]>
Date: Fri, 23 Jan 2009 00:29:33 -0500

This message is in follow-up to the IETF Trustees' request for community
review (announced on January 6, 2009) on some new legend text intended to
help authors work around the "pre-5378 problem".  

Please recall that some I-D authors have experienced difficulty implementing
RFC5378 since it was published on November 10, 2008.  An example of the
difficulty is summarized below:
  - an author wants to include pre-5378 content in a new submission
    or contribution to the IETF, but
  - the author is not able to assert that every author of the pre-5378
    content has agreed (or would agree) to license the earlier material
    for use outside of the IETF Standards Process

As a result of the above situation, many authors have reported they can not
submit or progress new contributions, because the legend text authorized by
the Trustees in November 2008 had no provisions for dealing with this
"pre-5378" problem. 

The Trustees met with legal counsel on January 22nd to discuss the comments
and suggestions which you have provided since January 6th.  We have received
many excellent suggestions for ways to clarify and improve the draft legend
text, and we are grateful for this.  

Based on the feedback received to date, the Trustees are now proposing a few
changes to the draft legend text. 

The 'old' legend text (as posted for community review on 2009-01-06) was:

> 6. Text To Be Included in IETF Documents
> c. Derivative Works and Publication Limitations
> iii.  If a Contribution includes Pre-5378 Material and the Contributor
> does not wish to allow modifications of such Pre-5378 Material to be
> made outside the IETF Standards Process:
>
> This document contains material from IETF Documents or IETF Contributions
> published before November 10, 2008 and, to the Contributor's knowledge,
> the person(s) controlling the copyright in such material have not granted
> the IETF Trust the right to allow modifications of such material outside
> the IETF Standards Process.  Without obtaining an adequate license from
> the person(s) controlling the copyright, this document may not be modified
> outside the IETF Standards Process, and derivative works of it may not be
> created outside the IETF Standards Process, except to format it for
> publication as an RFC and to translate it into languages other than
> English.

The updated proposed legend text based on the discussion to date is as
follows: 

This document may contain material from IETF Documents or IETF Contributions
published or made publicly available before November 10, 2008. The person(s)
controlling the copyright in some of this material may not have granted the
IETF Trust the right to allow modifications of such material outside the
IETF Standards Process. Without obtaining an adequate license from the
person(s) controlling the copyright in such materials, this document may not
be modified outside the IETF Standards Process, and derivative works of it
may not be created outside the IETF Standards Process, except to format it
for publication as an RFC and to translate it into languages other than
English.

The Trustees invite your comments on the updated proposed legend text. We
believe the updated text incorporates the feedback we have received to date,
and we hope it clarifies the proposed legend.

The Trustees will meet again in early February to decide on whether to
revise the Trust License Policy based on the ongoing community discussion.
If so decided, a revision to the Trust's "Legal Provisions Relating to IETF
Documents" policy will be published.  Please refer to the attached PDF file
for an example of how the Legal Provisions document might look if today's
update to proposed legend text is adopted. A softcopy is available on the
IETF Trust website under the heading "DRAFT Policy and Procedures Being
Developed" at:
http://trustee.ietf.org/policyandprocedures.html 

If you have any comments on the updated proposed legend text, please post
them before the end of February 7th.  The Trustees need to decide on whether
to adopt the proposed legend text, and then communicate our decision to you
on or before February 15th.

Please give this your attention.

Regards,

Ed Juskevicius, on behalf of the IETF Trustees
[email-masked]
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Fri, 23 Jan 2009 01:15:26 -0500

<[email-masked]> wrote:

> This message is in follow-up to the IETF Trustees' request for
> community review (announced on January 6, 2009) on some new
> legend text intended to help authors work around the "pre-5378
> problem".  
>... 
> The updated proposed legend text based on the discussion to
> date is as follows: 
> 
> This document may contain material from IETF Documents or IETF
> Contributions published or made publicly available before
> November 10, 2008. The person(s) controlling the copyright in
> some of this material may not have granted the IETF Trust the
> right to allow modifications of such material outside the IETF
> Standards Process. Without obtaining an adequate license from
> the person(s) controlling the copyright in such materials,
> this document may not be modified outside the IETF Standards
> Process, and derivative works of it may not be created outside
> the IETF Standards Process, except to format it for
> publication as an RFC and to translate it into languages other
> than English.

Ed,

I can live with this and believe that getting something workable
that will unlock the posting queue approved is more important
that getting the wording exactly right.  And that general
observation and preferences applies to the comment I'm about to
make.

The first sentences of this are fine.  However, I wonder if
"Without obtaining... this document may not be modified
outside..." is a stronger assertion than the Trust is in a
position to make.  Would it not be preferable (and several words
shorter) to just say something like "The IETF Trust cannot give
permission for modifications of this document outside the IETF
Standards Process, nor for derivative works outside the IETF
Standards Process, except ..." (translated into appropriate
legal language, of course).  

That way, you are giving no advice at all about licenses or
people who might have rights.  You also aren't telling people
what they can't do, only what you don't have enough permission
or ownership to tell them they can do.   That just feels better
to me.

But, again, if the Trustees and Counsel are happy with the text
as circulated, I'm in favor of it and opposed to your even
considering the above comments if your doing so would result in
any additional delay in legitimizing the workaround.

    john

---

From: Simon Josefsson <[email-masked]>
Date: Fri, 23 Jan 2009 11:45:48 +0100

> The updated proposed legend text based on the discussion to date is as

Thanks for your work, I think the new text works.

I noticed that your proposed document contains another unrelated change,
and I'm opposed to approving that change.

The old document [1] in section 4 used the following copyright notice
for the BSD license:

   Copyright (c) <YEAR>, IETF Trust and the persons identified as its
   authors. All rights reserved.

Your new document uses this copyright notice:

   Copyright (c) [insert year] IETF Trust and the persons identified as
   the document authors. All rights reserved.

This change seems arguable wrong.  The document authors are not
necessarily the author of the code.

I understand and agree that the copyright notice in the RFC boilerplate
can be the latter copyright notice, but that is what the document says
further on.  Section 4 deals with the copyright notice that needs to be
present in implementations that re-use code from the RFC under the BSD
license.

Thanks,
Simon

[1] http://permalink.gmane.org/gmane.ietf.general/32225

Btw, the IPR-WG mailing list archive is not available publicly from
ietf.org, so I'm posted a link to gmane.org instead.
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Scott Brim <[email-masked]>
Date: Fri, 23 Jan 2009 08:47:54 -0500

> for publication as an RFC and to translate it into languages other than

for publication as an RFC _OR_ to translate it

---

From: "Contreras, Jorge" <[email-masked]>
Date: Fri, 23 Jan 2009 10:28:10 -0500

> -----Original Message-----
> From: John C Klensin [mailto:[email-masked]] 
> Sent: Friday, January 23, 2009 1:15 AM
> To: Ed Juskevicius
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; [email-masked]; 
> 'Trustees'; Contreras, Jorge
> Subject: Re: ANNOUNCEMENT: The IETF Trustees invite your 
> comments on revised proposed legend text to work-around the 
> Pre-5378 Problem
> 
...
> I wonder if

Actually, those words are included in a legend that will be applied by
document authors.  Thus, the "speaker" is the author, not the Trust.
The author is telling the Trust (and everyone else) that derivatives
cannot be made to the pre-5378 material.  Does that help with your
discomfort?
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Fri, 23 Jan 2009 12:08:45 -0500

<[email-masked]> wrote:

>...
> Actually, those words are included in a legend that will be
> applied by document authors.  Thus, the "speaker" is the
> author, not the Trust. The author is telling the Trust (and
> everyone else) that derivatives cannot be made to the pre-5378
> material.  Does that help with your discomfort?

It shifts it a bit, from having the Trust making an assertion it
may not really know enough about to having the (posting) author
make assertions about rights she doesn't know about rather than
just saying "contains old material and I don't know".  Again, I
do not think it is a big deal.

    john

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 23 Jan 2009 09:13:18 -0800

>for publication as an RFC and to translate it into languages other than

Given the wide nature of what is a contributor, I would think that *any* cautious document editor would want this boilerplate in their document for *any* effort that has any contributions that might have been made before 2008-11-10. Is the Trust OK with this being in essentially every single IETF document for many years to come?

If so, that wording seems fine. If not, document authors will need pretty detailed guidance about when *not* to put this boilerplate in a document.

--Paul Hoffman, Director
--VPN Consortium

---

From: John C Klensin <[email-masked]>
Date: Fri, 23 Jan 2009 12:37:18 -0500

I apologize for cluttering up these lofty discussions of IPR
theory and statements with a question about getting work done,
but...

--On Friday, January 23, 2009 0:29 -0500 Ed Juskevicius
<[email-masked]> wrote:

>...
> Please recall that some I-D authors have experienced
> difficulty implementing RFC5378 since it was published on
> November 10, 2008.  An example of the difficulty is summarized
> below:
>   - an author wants to include pre-5378 content in a new
> submission or contribution to the IETF, but
>...
> The Trustees will meet again in early February to decide on
> whether to revise the Trust License Policy based on the
>...
> The Trustees
> need to decide on whether to adopt the proposed legend text,
> and then communicate our decision to you on or before February
> 15th.

The first I-D posting cutoff is March 2nd.  Assuming that the
Trustee's decision is "communicated" on February 15 and that it
is clear enough to be immediately implemented, that leaves two
weeks in which all of the new (00) documents that are presumably
ready now (except for a bad case if IPR-induced-constipation) to
get posted and three weeks for revised documents.  Even those
periods are likely to be somewhat shorter in practice unless the
IAOC has arranged for various tool maintainers to be waiting,
fingers poised over keyboards, for the decision and text on
Sunday the 15th.

Can the community safely assume that the Trustees (wearing their
IAOC hats), the IAD, and the Secretariat have made plans to be
sure that xml2rfc servers, submission servers, the manual
submission process, etc., are all up to the load of having both
the queue of documents that have been accumulating since shortly
after IETF 73 and the usual pre-IETF rush hitting them at once?
I would assume that such plans would include some fairly
extensive load-testing of existing systems to determine whether
additional servers, links, and staff assignments are needed...
and adding and testing the needed facilities and arrangements
RSN.  

The observation that, at present, we are running with one
xml2rfc server does not inspire confidence if we expect it to be
hit by a giant document glut (or even a "normal" pre-IETF glut).
However,  I'm equally concerned about the submission servers and
back-end posting systems and anywhere else that a bottleneck
could occur, not just that one.

As a partial alternative, would it be possible to squeeze the
"comments by Feb 7, decision by February 15" schedule somewhat?
I think it is safe to assume that almost everyone in the
community who is likely to be concerned about these issues is
(and has been) watching the various lists and that few of us
will be better able to make comments (or able to make better
comments) in two weeks than we could, e.g., sometime next week. 

    john

---

From: "Ed Juskevicius" <[email-masked]>
Date: Fri, 23 Jan 2009 14:20:30 -0500

> "comments by Feb 7, decision by February 15" schedule somewhat?

Yes, I think the interval after Feb 7th could be squeezed by a few days.
Our commitment (as Trustees) is to reach a decision and to communicate it to
the community no later than February 15th.  My personal hope is that we can
reach consensus several days before the 15th, but certainly not before the
7th.  February 7th the hard-coded end of the 30-day window for community
review and comments.

With respect to your other point:

> Can the community safely assume that ... xml2rfc servers, submission
> servers, the manual submission process, etc., are all up to the load
> of having both the queue of documents that have been accumulating
> since shortly after IETF 73 and the usual pre-IETF rush hitting
> them at once?

Good question!  Thanks for asking.  I'll ask our IAD to look into this and
report back.

Best Regards,

Ed Juskevicius
[email-masked] 

-----Original Message-----
From: John C Klensin [mailto:[email-masked]] 
Sent: January 23, 2009 12:37 PM
To: Ed Juskevicius; [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: 'Trustees'; 'Contreras, Jorge'
Subject: Document posting schedule pragmatics (was: Re: ANNOUNCEMENT: The
IETF Trustees invite your comments on revised proposed legend text to
work-around the Pre-5378 Problem)

Hi.

    john

---

From: "Dave Nelson" <[email-masked]>
Date: Sat, 24 Jan 2009 09:17:16 -0500

Paul Hoffman writes...

> Is the Trust OK with this being in essentially every single IETF 
> document for many years to come?

Unfortunately, it seems to me that's exactly the corner into which we are
painting yourselves, for any document that involves significant re-use of
material, i.e. beyond the "fair use" exception.

---

From: John C Klensin <[email-masked]>
Date: Sat, 24 Jan 2009 09:56:08 -0500

--On Saturday, January 24, 2009 9:17 -0500 Dave Nelson
<[email-masked]> wrote:

> Paul Hoffman writes...
> 
>> Is the Trust OK with this being in essentially every single
>> IETF  document for many years to come?
> 
> Unfortunately, it seems to me that's exactly the corner into
> which we are painting yourselves, for any document that
> involves significant re-use of material, i.e. beyond the "fair
> use" exception.

That corner at least has a floor.   The rest of the virtual room
seems to have a deep hole where one would expect a floor to be.
People who step into that hole get to spend their IETF work time
worrying about IPR releases rather than technology... or
assuming that probably no one will sue them either way.  The
latter is always going to be a personal choice, supported (or
not) by whatever legal advice one happens to get.

And, while IANAL, my understanding from what we've been told
repeatedly is that "fair use exemption" is a US concept, so your
sentence should stop after "significant re-use of material"

   john

---

From: "Dave Nelson" <[email-masked]>
Date: Sat, 24 Jan 2009 10:07:23 -0500

John C. Klensin writes ...

> sentence should stop after "significant re-use of material"

So authors of scholarly papers in other countries can't lawfully quote and
cite other such works?  I am continually surprised by new knowledge -- that
makes life interesting -- but I find this bit particularly surprising, not
to say incredible.

If "fair use" does not apply, then does "significant" need to be come "any"?
One of the elements of fair use is the volume of quoted material -- so what
now defines "significant"?

---

From: John C Klensin <[email-masked]>
Date: Sat, 24 Jan 2009 10:33:25 -0500

--On Saturday, January 24, 2009 10:07 -0500 Dave Nelson
<[email-masked]> wrote:

>> repeatedly is that "fair use exemption" is a US concept, so
>> your sentence should stop after "significant re-use of
>> material"
> 
> So authors of scholarly papers in other countries can't
> lawfully quote and cite other such works?  I am continually
> surprised by new knowledge -- that makes life interesting --
> but I find this bit particularly surprising, not to say
> incredible.

The point is that different countries have different rules,
different names for the rules, and different criteria.  To pick
up on your example, some even have special rules for scholarly
papers.      I gather others focus on context and intent with
less concern about volume.  "Fair use", at least as it gets
thrown around the IETF, is typically a reference to a
US-specific story.

Beyond that, you should probably consult your favorite lawyer.

> If "fair use" does not apply, then does "significant" need to
> be come "any"? One of the elements of fair use is the volume
> of quoted material -- so what now defines "significant"?

If it comes to that, a judge.  After the fact and on a
case-by-case basis.

With the understanding that this takes us into exactly the part
of the room that I think has no floor, if you want to infer that
removing a more-or-less clear "fair use" criterion turns
"significant" into "any", you are free to do so.  I couldn't
possibly say that.

On the other hand, if one avoids the legal theorizing and
concentrates on the issue, there are, IMO, two important things
to focus on:

* The current and former policies focus on getting people to
give the IETF (and IETF Trust) whatever rights they need, not on
making would-be users of text spend energy trying to figure out
what they can and cannot appropriate without those rights.   If
a subsequent author knows that she has the rights by a more or
less explicit grant, what could be used without them is a
non-issue.   In that regard, the difference between 5378 and
3978 is that 5378 considerably broadened the set of rights the
IETF requires that it obtain.

* This debate, and the workaround, are really about what rights
I have to claim that I have, or have obtained, to give to the
IETF.  The workaround and whatever corner it gets us into avoid
requiring a document author to take responsibility either for
gathering new permissions from people who may be inaccessible or
for accurately determining who might consider themselves a
significant enough contributor to a document to be relevant for
copyright purposes.

    john

---

From: John Levine <[email-masked]>
Date: 24 Jan 2009 15:49:13 -0000

>sentence should stop after "significant re-use of material"

Many other countries have similar doctrines, often called "fair
dealing" in common law or written as specific exceptions in civil law.
There's also some related language in Berne and similar treaties.  I
don't purport to know what they all mean, other than to be confident
that a definitive answer would involve paying for several lawyers'
yachts.

Nonetheless, I can't help but seeing angels dancing on pins here.
We're worrying about situations in which someone contributes material
to the IETF that ended up in an RFC, then later goes to court and
claims to be shocked and injured that someone else used his material
in ways that RFCs are routinely used, i.e., someone acts like a
complete jerk.

Laws are not software, and there is no algorithm we can execute or set
of rules that we can construct that will keep a jerk from being a
jerk.  (They're just as creative as we are.)  Anyone who is determined
to file a nuisance lawsuit can still file one.  So I would encourage
us to worry less about hypothetical claims by heirs of deceased
contributors, and just make it clear that these are public documents
intended to be used in public ways.

R's,
John

---

From: "Dave Nelson" <[email-masked]>
Date: Sat, 24 Jan 2009 10:56:48 -0500

John C, Klensin writes...

> different names for the rules, and different criteria.

Right.  I should have said "fair use" or whatever the corresponding legal
doctrine is called in your jurisdiction.  Is there a generic,
jurisdiction-independent term for this doctrine?

> what they can and cannot appropriate without those rights.

Sure.

> IETF.

I'm trying to figure out what specific guidance, in the form of a
step-by-step procedure, I can give to my WG so that draft authors can
identify whether or not they need to include the workaround boilerplate.  I
don't want each of them to have to understand all the nuances of this
debate, nor contact personal / corporate counsel in the process.

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 24 Jan 2009 10:39:43 -0700

> in ways that RFCs are routinely used, i.e., someone acts like a 

It could happen.  Remember that some people who participate in a WG, and 
contribute one or two bits of information that make their way into the 
RFC, are unhappy overall with that group's rough consensus.  Not all 
"contributions" are positive or direct; an author might add wording 
specifically to ward off a rogue interpretation that someone in the WG 
"contributed."  If you think this is improbable, read some of the 
appeals that the IESG has had to address in the past 3 years or so.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: Paul Hoffman <[email-masked]>
Date: Sat, 24 Jan 2009 10:11:14 -0800

At 10:39 AM -0700 1/24/09, Doug Ewell wrote:
>>Nonetheless, I can't help but seeing angels dancing on pins here. We're worrying about situations in which someone contributes material to the IETF that ended up in an RFC, then later goes to court and claims to be shocked and injured that someone else used his material in ways that RFCs are routinely used, i.e., someone acts like a complete jerk.
>
>It could happen.  Remember that some people who participate in a WG, and contribute one or two bits of information that make their way into the RFC, are unhappy overall with that group's rough consensus.  Not all "contributions" are positive or direct; an author might add wording specifically to ward off a rogue interpretation that someone in the WG "contributed."  If you think this is improbable, read some of the appeals that the IESG has had to address in the past 3 years or so.

You are missing John's point, which you elided below the quote above. If someone is a jerk and irrationally aggrieved, nothing we say in a boilerplate will prevent them from suing the IETF and incurring great costs in time and money. A very very careful boilerplate *might* cause them to be less likely to win damages, but balancing that against the time and effort we put into the boilerplate is literally impossible to do.

--Paul Hoffman, Director
--VPN Consortium

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 26 Jan 2009 08:41:12 -0500

On Sat, Jan 24, 2009 at 10:11:14AM -0800, Paul Hoffman wrote:

> You are missing John's point, which you elided below the quote
> above. If someone is a jerk and irrationally aggrieved, nothing we
> say in a boilerplate will prevent them from suing the IETF and
> incurring great costs in time and money. 

This brings us back to what seems to me to be the central problem,
which is that the new rules require the _contributor_ to make a bunch
of assertions to the IETF about permissions the contributor has
obtained.  Wha the work-around appears to me to provide is a way for
contributors to say, "But maybe I don't have them all."  From my point
of view, that's less good than releasing the contributor from needing
to make such claims in the first place, but it's an improvement.

In other words, the point is not so much to avoid causing suits
against the IETF, which (as an SDO) always has the risk of some jerk
coming along.  What's unusual in this case is that every contributor,
by virtue of having to assert that he or she has obtained the relevant
permssions, is _also_ subject to those lawsuits.

A

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 26 Jan 2009 07:36:29 -0800

Andrew Sullivan wrote:
>      Wha the work-around appears to me to provide is a way for
...
 > What's unusual in this case is that every contributor,

+1.

This nicely highlights the underlying problem with the approach has so far been 
taken:  It expects far too much from people who are, in actual fact, acting as 
agents of the IETF.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Theodore Tso <[email-masked]>
Date: Mon, 26 Jan 2009 11:01:26 -0500

On Mon, Jan 26, 2009 at 07:36:29AM -0800, Dave CROCKER wrote:
> This nicely highlights the underlying problem with the approach has so 
> far been taken:  It expects far too much from people who are, in actual 
> fact, acting as agents of the IETF.

The fundamental problem is that RFC 5378 conflates two separate
things.  (1) People who make contributions (normally authored by
themselves) to the mailing list, and (2) people who take
contributions/suggestions made on the mailing list, in face-to-face
meetings, et. al., and put them together as an author/editor of an
I-D.  Both are defined as "Contributors" in RFC 3978, because
"contributions" are defined as both as offerings of text to the
mailing list and collation/editing of these offerrings to form an I-D.

In both cases, to quote RFC 5378...

   The Contributor is further deemed to have agreed that he/she has
   obtained the necessary permissions to enter into such an agreement
   from any party that the Contributor reasonably and personally knows
   may have rights in the Contribution, including, but not limited to,
   the Contributor's sponsor or employer.

The problem is the level of due care necessary such that he/she can
warrant that permissions has been "obtained" is not defined.  Is the
reliance on RFC 5378 sufficient to deem that permissions has been
"obtained".  For example, if Fred Flintstone submits text to the
maliing list, can I presume that he/she has received a copy of the
Note Well and has therefore has given permission for his text to be
used in the I-D?  If he didn't, will I be liable for his failing to
adhere to RFC 5378 if I submit an I-D containing Fred's text?  

And am I as the I-D author/editor required to provide proof that I
have obtained the necessary permissions?  If so, and if I will be held
legally liable, then I had better keep the I-D under source code
management, and reference each message ID from the mailing list
whenever I take contributions and put them in the I-D.   

	   		      	      	   - Ted

---

From: John C Klensin <[email-masked]>
Date: Mon, 26 Jan 2009 12:14:23 -0500

--On Monday, January 26, 2009 11:01 AM -0500 Theodore Tso
<[email-masked]> wrote:

>...
> The problem is the level of due care necessary such that
> he/she can warrant that permissions has been "obtained" is not
> defined.  Is the reliance on RFC 5378 sufficient to deem that
> permissions has been "obtained".  For example, if Fred
> Flintstone submits text to the maliing list, can I presume
> that he/she has received a copy of the Note Well and has
> therefore has given permission for his text to be used in the
> I-D? 

If common sense were relevant here (and it may not be), Fred
gets notified of the Note Well and any changes to it in the
following cases:

	(1) When he first subscribes to an IETF-maintained
	mailing list.  You probably don't know about
	notifications vis-a-vis lists that are not maintained by
	the IETF but are used by IETF groups.
	
	(2) When he registers for an IETF meeting, if he ever
	does that.
	
	(3) When he actually listens to the announcement at the
	beginning of a face to face WG meeting or reads the
	associated slide.
	
	(4) When a notice is sent out to the IETF Announce or 
	main IETF discussion list, if he reads them.
	
	(5) When a notice is sent out to the WG mailing lists to
	which he subscribes.
	
	(6) If he goes looking for it.

Now, in this case, the Note Well used for IETF 73 was the old
version, so, if Fred relies on (2) or (3), he hasn't heard about
this yet.  If Fred has been participating in the WG since before
the Note Well was updated (sometime in late November or early
December, if I recall), then (1) doesn't apply.  As far as I
know, there has been no systematic  effort to send the new Note
Well out to WG mailing lists; certainly I haven't seen it on any
WG mailing lists I'm on.  

That leaves your reliance, if common sense is relevant and one
can't expect to hold Fred accountable for a policy unless he had
a plausible way to be notified or find out about it, on (4) and
maybe on (6).   And we know that, at least historically, even
some IESG members do not read every posting on the IETF Announce
or Discussion lists.

And that is why I continue to object to the use of November 10
in the workaround statement as a cutoff for Contributions that
can safely be assumed to be covered by 5378.

But IANAL and maybe common sense is irrelevant and the IETF gets
to assume that everyone is bound by a policy about which no
announcement has been made which they can be expected to see.

     john

---

From: Ken Raeburn <[email-masked]>
Date: Mon, 26 Jan 2009 12:37:09 -0500

> gets notified of the Note Well and any changes to it in the

If Fred cc's an IETF mailing list he's not on because a discussion on  
another list has turned to how the IETF's FUBAR working group messed  
up a spec (and maybe someone else did the first CC, and Fred's just  
doing a reply-all), maybe he'll never see it at all, or only after his  
"contribution" goes through.

That might be an argument for restricting posting to subscribers  
only.  At least some mailing list management software will let you put  
yourself on a list but flagged as not to receive mail, if you already  
read it through some other means (local bulletin board, web archives,  
etc).  Getting onto the list could be the way one indicates that one  
has read the Note Well text, which was sent along with the link to  
click to confirm blah blah blah.

I find subscriber-only-posting lists kind of annoying sometimes, but  
if we do want to impose certain requirements on those who post, maybe  
it's an easy way to do it.

Ken

---

From: Sam Hartman <[email-masked]>
Date: Mon, 26 Jan 2009 13:10:56 -0500

>>>>> "Ken" == Ken Raeburn <[email-masked]> writes:

    Ken> That might be an argument for restricting posting to
    Ken> subscribers only.  At least some mailing list management
    Ken> software will let you put yourself on a list but flagged as
    Ken> not to receive mail, if you already read it through some
    Ken> other means (local bulletin board, web archives, etc).
    Ken> Getting onto the list could be the way one indicates that one
    Ken> has read the Note Well text, which was sent along with the
    Ken> link to click to confirm blah blah blah.

I think having an opt-in list of people who have agreed to IETF IPR
policy would be better.  As a document reviewer or anyone doing
cross-area work, having to subscribe to a WG list to send mail there
is quite unacceptable.  Something like thew3c.org contribution policy
stuff would be far more acceptable.

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 26 Jan 2009 10:38:07 -0800

At 1:10 PM -0500 1/26/09, Sam Hartman wrote:
>policy would be better. 

That list could be pre-populated with email addresses from all current IETF lists to which the "note well" has been sent.

--Paul Hoffman, Director
--VPN Consortium

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 26 Jan 2009 10:42:30 -0800

Paul Hoffman wrote:
>> I think having an opt-in list of people who have agreed to IETF IPR policy
>> would be better.
> 
> That list could be pre-populated with email addresses from all current IETF
> lists to which the "note well" has been sent.

That would seem to defeat the apparent purpose of this new list, namely distinct
and explicit acknowledgment of the IPR policy.

There is a difference between passing a Note Well past someone who is focussing
on some other task, such as contributing to a technical discussion, versus
having subscription be solely for the purpose of acknowledging the IPR policy.

d/

ps. I'm not commenting on the efficacy of doing this separate list, merely
trying to be clear about its differential semantics.

-- 

   Dave Crocker

---

From: John C Klensin <[email-masked]>
Date: Mon, 26 Jan 2009 13:56:38 -0500

--On Monday, January 26, 2009 10:42 AM -0800 Dave CROCKER
<[email-masked]> wrote:

>> That list could be pre-populated with email addresses from
>> all current IETF lists to which the "note well" has been sent.

> That would seem to defeat the apparent purpose of this new
> list, namely distinct and explicit acknowledgment of the 
> IPR policy.
 
> There is a difference between passing a Note Well past someone
> who is focussing on some other task, such as contributing to a
> technical discussion, versus having subscription be solely for
> the purpose of acknowledging the IPR policy.

Such an opt-in list would also constitute a de facto IETF
Membership list which, for various reasons, we have carefully
avoided in the past.
 
> ps. I'm not commenting on the efficacy of doing this separate
> list, merely trying to be clear about its differential
> semantics.

Ditto about the consequences.
    john

---

From: SM <[email-masked]>
Date: Mon, 26 Jan 2009 10:52:01 -0800

>adhere to RFC 5378 if I submit an I-D containing Fred's text?

According to IETF Trust, the new polices and procedures are effective 
as from November 10, 2008 [1].  The announcement about the new 
boilerplate text was sent on November 11, 2008 [2].  The General Area 
Director sent an announcement on December 11, 2008 mentioning that 
the IETF Note Well text have been updated [3].  The IAD posted a 
message on December 17, 2008 to say that the Note Well text will be 
updated on that day [4].

Based on the above timeline, I do not presume that Fred Flintstone 
received a copy of the updated Note Well on or before November 10, 
2008.  It may be easier to ask Fred Flintstone about his contribution 
than to determine when he was informed that the Note Well has been updated.

Regards,
-sm

1. http://trustee.ietf.org/license-info/
2. http://www.ietf.org/mail-archive/web/ietf-announce/current/msg05399.html
3. http://www.ietf.org/mail-archive/web/ietf-announce/current/msg05509.html
4. http://www.ietf.org/mail-archive/web/ietf/current/msg54603.html

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 26 Jan 2009 22:17:49 +0000

> That list could be pre-populated with email addresses from all current IETF lists to which the "note well" has been sent.

Seems a bit silly to me. You're opting me in automatically to
some newish, demonstrably broken, IPR stuff? (5378 I mean.)
No thanks if that was your suggestion.

For me this isn't theoretic. We're doing a 3281bis right now. I
guess some of the text I contributed goes back a decade or more.
Two of the relevant employers I've had in that time are defunct,
with various bits having been sold to various other entities after
I left 'em. Last I knew one possibly relevant part had been bought
by the philanthropic sounding "Aquisitor Bermuda Inc." who just don't
sound like the kind of folks who want to waste their lawyer
guineas counting IETF angels on or off pins.

I will not be making any assertion about the rights to that text
that's very different from what was the case at the time. Even asking
me to do so is just plain dumb. I'd use another word for the
suggestion that it be the default.

My suggestion: new stuff - what 5378 wanted; old stuff: status quo
ante (pre-5378), and let whoever wants to use text outside the IETF
context and/or translations go figure out if they think they're in
the clear or not.

I also think words to that effect should be in all boilerplate
and shouldn't have to be selected or not by every user of xml2rfc.

Stephen.

---

From: Dean Willis <[email-masked]>
Date: Thu, 29 Jan 2009 00:53:20 -0600

On Jan 23, 2009, at 11:13 AM, Paul Hoffman wrote:
>>
>
> Given the wide nature of what is a contributor, I would think that  
> *any* cautious document editor would want this boilerplate in their  
> document for *any* effort that has any contributions that might have  
> been made before 2008-11-10. Is the Trust OK with this being in  
> essentially every single IETF document for many years to come?
>

That's exactly the point I was trying to make in the post that Bob  
responded to; every document that was in-process prior to 5378 is  
going to have to carry this "We don't know" boilerplate.

I'm OK with that, and think that the revised working looks to be  
acceptable, although John's argument about the strength of assertion  
seems reasonable ( "We can't say you can copy it" is more realistic  
than "You cannot copy it").

--
Dean

---

From: Dean Willis <[email-masked]>
Date: Thu, 29 Jan 2009 00:58:43 -0600

On Jan 24, 2009, at 12:11 PM, Paul Hoffman wrote:

>>> We're worrying about situations in which someone contributes  
>>> material to the IETF that ended up in an RFC, then later goes to  
>>> court and claims to be shocked and injured that someone else used  
>>> his material in ways that RFCs are routinely used, i.e., someone  
>>> acts like a complete jerk.
>>
>> It could happen.  Remember that some people who participate in a  
>> WG, and contribute one or two bits of information that make their  
>> way into the RFC, are unhappy overall with that group's rough  
>> consensus.  Not all "contributions" are positive or direct; an  
>> author might add wording specifically to ward off a rogue  
>> interpretation that someone in the WG "contributed."  If you think  
>> this is improbable, read some of the appeals that the IESG has had  
>> to address in the past 3 years or so.
>
> incurring great costs in time and money. A very very careful  
> boilerplate *might* cause them to be less likely to win damages, but  
> balancing that against the time and effort we put into the  
> boilerplate is literally impossible to do.

The real risk is where some other SDO can hold IETF liable for damages  
induced by the irrational aggrievement of someone who contributed to  
the IETF. While we can't do much about the irrational contributor, we  
can at least avoid making express commitments to indemnify third  
parties who use our pre-5378-note-well specifications. This puts the  
conflict between the irrationally aggrieved party and the third party,  
leaving the IETF out of the shooting, which is a Good Thing.

--
Dean

---

From: John C Klensin <[email-masked]>
Date: Thu, 29 Jan 2009 10:13:25 -0500

--On Thursday, January 29, 2009 0:58 -0600 Dean Willis
<[email-masked]> wrote:

> The real risk is where some other SDO can hold IETF liable for
> damages induced by the irrational aggrievement of someone who
> contributed to the IETF.

I might add "aggrievement" (rational or otherwise) of someone
who contributed to the work in the IETF and suddenly finds him
or herself unable to obtain a copy of the derived and updated
standard except at a high per-copy price backed by credible
threats of prosecution for illegal copies.  The IESG could
probably figure out ways to head off that particular situation,
which, personally, I'd consider A Good Thing too, but it is
rather a different topic.

> While we can't do much about the
> irrational contributor, we can at least avoid making express
> commitments to indemnify third parties who use our
> pre-5378-note-well specifications. This puts the conflict
> between the irrationally aggrieved party and the third party,

Yes, exactly.

    john